Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004476OCamlOCaml generalpublic2008-01-11 16:312010-05-12 17:15
Reportergerd 
Assigned Todoligez 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.10.0 
Target VersionFixed in Version3.11.0 
Summary0004476: Another exception printing bug
DescriptionIn native code, Invalid_argument exceptions thrown by illegal array accesses cannot be fully printed by Printexc.to_string. Here is a test program:

let e = try [| |].(0); raise Not_found with e -> e;;
let e' = Invalid_argument "foo";;
print_endline (Printexc.to_string e);;
print_endline (Printexc.to_string e');;

This prints:
Invalid_argument(_)
Invalid_argument("foo")

In bytecode, everything is correct.
Additional InformationMaybe related to 0003214.
TagsNo tags attached.
Attached Files

- Relationships
related to 0003214closed Exception printing bug? 

-  Notes
(0004422)
doligez (administrator)
2008-01-21 16:42

reproduced on Mac OS 10.5 / Intel
(0004423)
doligez (administrator)
2008-01-22 12:01

fixed in 3.10.2+dev2
(0004441)
doligez (administrator)
2008-01-29 14:13

Too dangerous to fix for 3.10.2 after all.
Will be fixed in 3.11.

- Issue History
Date Modified Username Field Change
2008-01-11 16:31 gerd New Issue
2008-01-17 17:08 doligez Relationship added related to 0003214
2008-01-17 17:08 doligez Status new => acknowledged
2008-01-21 16:42 doligez Note Added: 0004422
2008-01-21 16:42 doligez Status acknowledged => confirmed
2008-01-21 19:27 doligez Status confirmed => assigned
2008-01-21 19:27 doligez Assigned To => doligez
2008-01-22 12:01 doligez Note Added: 0004423
2008-01-22 12:01 doligez Status assigned => closed
2008-01-22 12:01 doligez Resolution open => fixed
2008-01-22 12:01 doligez Fixed in Version => 3.10+dev
2008-01-29 14:13 doligez Note Added: 0004441
2008-01-29 14:13 doligez Status closed => assigned
2008-01-29 14:13 doligez Resolution fixed => reopened
2008-01-29 14:13 doligez Fixed in Version 3.10+dev =>
2010-05-12 17:15 doligez Status assigned => closed
2010-05-12 17:15 doligez Resolution reopened => fixed
2010-05-12 17:15 doligez Fixed in Version => 3.11.0


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker